tvbrowser.core

## Class DummyChannel

- java.lang.Object
- - devplugin.Channel
  - - tvbrowser.core.DummyChannel

- All Implemented Interfaces:
    java.lang.Comparable<Channel>

      public class DummyChannel
      extends Channel

  A channel that fakes to be another channel to use if original channel is currently unavailable.
  Author:
    René Mach

- - ### Field Summary

    - ### Fields inherited from class devplugin.Channel

      `CATEGORY_CINEMA, CATEGORY_DIGITAL, CATEGORY_EVENTS, CATEGORY_NONE, CATEGORY_PAY_TV, CATEGORY_PAYED_DATA_TV, CATEGORY_RADIO, CATEGORY_SPECIAL_MUSIC, CATEGORY_SPECIAL_NEWS, CATEGORY_SPECIAL_OTHER, CATEGORY_SPECIAL_SPORT, CATEGORY_TV`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyChannel(java.lang.String dataServiceId, java.lang.String groupId, java.lang.String country, java.lang.String channelId, java.lang.String channelName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TvDataServiceProxy` | `getDataServiceProxy()` Gets the data service proxy of this channel
    `javax.swing.Icon` | `getIcon()` Always return question mark icon.
    `java.lang.String` | `getName()` Return name with (N/A)
    `java.lang.String` | `getWebpage()` Always return default web page.
    `void` | `setOriginal(Channel ch)`

    - ### Methods inherited from class devplugin.Channel

      `compareTo, equals, getAllCountries, getBaseChannel, getBaseCountry, getCategories, getChannel, getChannelForChannel, getCopyrightNotice, getCountriesString, getCountry, getDataServiceId, getDataServicePackageName, getDefaultIcon, getDefaultName, getDefaultWebPage, getEndTimeLimit, getGroup, getId, getJointChannel, getJointChannelIcon, getJointChannelName, getLocalizedCategory, getSharedChannelId, getSortNumber, getStartTimeLimit, getTimeZone, getTimeZoneCorrectionMinutes, getUnescapedName, getUniqueId, getUserChannelName, getUserIconFileName, getUserWebPage, hashCode, hasIcon, isAccessControl, isTimeLimited, isUsingUserIcon, readData, readData, setChannelCopyrightNotice, setChannelName, setChannelWebpage, setDefaultIcon, setEndTimeLimit, setIcon, setJointChannel, setSortNumber, setStartTimeLimit, setTimeZoneCorrectionMinutes, setUserChannelName, setUserIconFileName, setUserWebPage, toString, useUserIcon, writeData, writeToDataFile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyChannel

          public DummyChannel(java.lang.String dataServiceId,
                      java.lang.String groupId,
                      java.lang.String country,
                      java.lang.String channelId,
                      java.lang.String channelName)

  - ### Method Detail

    - #### getIcon

          public javax.swing.Icon getIcon()

      Always return question mark icon.
      Overrides:
        `getIcon` in class `Channel`
      Returns:
        the Icon for this Channel

    - #### getName

          public java.lang.String getName()

      Return name with (N/A)
      Overrides:
        `getName` in class `Channel`
      Returns:
        The name of this channel.

    - #### getWebpage

          public java.lang.String getWebpage()

      Always return default web page.
      Overrides:
        `getWebpage` in class `Channel`
      Returns:
        The webpage for this channel.

    - #### setOriginal

          public void setOriginal(Channel ch)

    - #### getDataServiceProxy

          public TvDataServiceProxy getDataServiceProxy()

      Description copied from class: `Channel`
      Gets the data service proxy of this channel

      Overrides:
        `getDataServiceProxy` in class `Channel`
      Returns:
        The data service proxy of this channel

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)